#ifndef CGEN2STORETEXT_H
#define CGEN2STORETEXT_H

#include <QDialog>
#include <ui_CGen2StoreText.h>
#include "../../../ui/ConfigDialog.h"

#include <QrfeReaderInterfaceGlobal>

class QrfeGen2Tag;

class CGen2StoreText : public QDialog, ConfigDialog
{
    Q_OBJECT

public:
    CGen2StoreText(QWidget *parent = 0);
    ~CGen2StoreText();

public slots:
	int exec(QrfeGen2Tag* tag);

	void tryAccept();

private:
    Ui::CGen2StoreTextClass ui;

    QrfeGen2Tag* 		m_tag;
    QByteArray 			m_storedText;
};

#endif // CGEN2STORETEXT_H
